Index: /sandbox/webservice/restclient_new/exemplo/client_rest.php
===================================================================
--- /sandbox/webservice/restclient_new/exemplo/client_rest.php	(revision 7818)
+++ /sandbox/webservice/restclient_new/exemplo/client_rest.php	(revision 7818)
@@ -0,0 +1,51 @@
+<?php
+
+	$serverUrl	= $_REQUEST['serverUrl'];
+	$methodType	= $_REQUEST['methodType'];
+	$params 	= $_REQUEST['params'];
+	$id 		= ( $_REQUEST['id'] ) ? $_REQUEST['id'] : time();
+
+	$data = "id=".$id."&params=" . stripslashes($params);
+
+	function callJSONRPC($url, $data, $method)
+	{
+		$ch = curl_init();
+		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
+		
+		if($method == "POST"){
+			curl_setopt($ch, CURLOPT_POST, 1);
+			curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
+		}
+
+		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
+		curl_setopt($ch, CURLOPT_URL, $url);
+		curl_setopt($ch, CURLOPT_HTTPHEADER, array("Content-Type: application/x-www-form-urlencoded"));
+
+		$result 	= curl_exec($ch);
+		$errorCode 	= curl_getinfo($ch,CURLINFO_HTTP_CODE);
+		$lastURL 	= curl_getinfo($ch,CURLINFO_EFFECTIVE_URL);
+		
+		curl_close($ch);
+
+		switch($errorCode)
+		{
+			case 200:
+				break;
+			case 404:
+				$result = json_encode(array("error" => array("code" => 404, "message" => "RECURSO NAO ENCONTRADO => $lastURL")));
+				break;
+			case 500:
+				$result = json_encode(array("error" => array("code" => 500, "message" => "ERRO INTERNO. CONSULTE O LOG DO SERVIDOR")));
+				break;
+			default:
+				$result = json_encode(array("error" => array("code" => -1, "message" => "ERRO DESCONHECIDO. CONSULTE O LOG DO SERVIDOR")));
+				break;
+		}
+
+		return $result;
+	}
+
+	$result = callJSONRPC($serverUrl, $data, $methodType);
+
+	echo $result;
+?>
Index: /sandbox/webservice/restclient_new/js/resources.js
===================================================================
--- /sandbox/webservice/restclient_new/js/resources.js	(revision 7815)
+++ /sandbox/webservice/restclient_new/js/resources.js	(revision 7818)
@@ -27,7 +27,8 @@
 		params :
 		{ 
-			auth : 		["text", "disabled", "string", true, "", "Chave de autenticação do usuário"],
-			user : 		[ "text", "enabled", "string", true, "", "Login do Usuário"],
-			password:	[ "password", "enabled", "string", true, "", "Senha do Usuário"]
+			auth 	:["text", "disabled", "string", true, "", "Chave de autenticação do usuário"],
+			id 		:["text", "enabled", "string", false, "", "ID para o resource Login."],
+			user 	:["text", "enabled", "string", true, "", "Login do Usuário"],
+			password:["password", "enabled", "string", true, "", "Senha do Usuário"]
 		}
 	},
Index: /sandbox/webservice/restclient_new/js/execute.js
===================================================================
--- /sandbox/webservice/restclient_new/js/execute.js	(revision 7808)
+++ /sandbox/webservice/restclient_new/js/execute.js	(revision 7818)
@@ -53,4 +53,13 @@
 				var obj = eval("({"+getParams(resources_expresso[rest])+"})");
 
+				var idResource = "";
+
+				if( obj.id )
+				{
+					idResource = obj.id;
+
+					delete obj.id;
+				}
+
 				// Login
 				if( rest == "login" )
@@ -78,4 +87,5 @@
 					data	:
 					{
+	  		   			id			: idResource,
 	  		   			params 		: JSON.stringify(obj),
 	  		   			serverUrl	: server,
@@ -90,5 +100,12 @@
 	  					divSend.toggle("blind", {}, 1000 );
 
-	  					divSend.find("div").html( "<pre class='prettyprint'>params="+JSON.stringify(obj)+"</pre>");
+	  					if( idResource != "" )
+	  					{
+	  						divSend.find("div").html( "<pre class='prettyprint'>id="+JSON.stringify(idResource)+"<br>params="+JSON.stringify(obj)+"</pre>");
+	  					}
+	  					else
+	  					{
+	  						divSend.find("div").html( "<pre class='prettyprint'>params="+JSON.stringify(obj)+"</pre>");	
+	  					}
 	  					
 	  					divSend.find("div").find("pre").css("border","0px");
